Bug 875087 - Review Request: pbsclusterviz - Visualise the status of PBS clusters
Review Request: pbsclusterviz - Visualise the status of PBS clusters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 08:52 EST by Paul Cochrane
Modified: 2015-02-04 10:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-04 10:37:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
orion: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Paul Cochrane 2012-11-09 08:52:59 EST
Spec URL: http://sourceforge.net/projects/pbsclusterviz/files/pbsclusterviz%200.7/pbsclusterviz.spec
SRPM URL: http://sourceforge.net/projects/pbsclusterviz/files/pbsclusterviz%200.7/pbsclusterviz-0.7a-1.src.rpm
Description: 
Hello!  I've just just finished packaging PBS Cluster Viz and would like to get it into Fedora Extras (and EPEL if that's possible).

PBS Cluster Viz is a project to display information useful to admins and users about a computing cluster managed by a PBS-compatible resource manager. Information includes load and job distribution. Interactive as well as static output is available.
Fedora Account System Username: paultcochrane@gmail.com
Comment 1 Volker Fröhlich 2012-11-26 15:02:58 EST
Hello Paul!

Thank you for your contribution. You must become a packager to maintain packages in Fedora.

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I left a comment on the ticket that you'll need a sponsor first.

vtk is only in EPEL 6. If you want your package to appear in EPEL 5, you'll have to convince the vtk maintainer to create a build there. :)

---

Some comments:

License is GPLv2+

Use the name and version macro in Source0.

You don't need defattr anymore.

You must own %{_sysconfdir}/pbsclusterviz.d. and %{python_sitelib}/pbsclusterviz

Drop all version constraints from BuildRequires. No maintained release of Fedora or EL has older versions. I don't know whether you need those packages while you're building. But if you need them during operation, you'll have to make them Requires.

Installed (but unpackaged) file(s) found:
/usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info

Also include AUTHORS and COPYING. The postal address in COPYING is outdated.
Comment 2 Paul Cochrane 2012-11-30 16:19:50 EST
Hi Volker,

many thanks for your comments!  I've changed as many things as I could and have uploaded the latest spec file and SRPM to the following URLs:

http://sourceforge.net/projects/pbsclusterviz/files/pbsclusterviz%200.7/pbsclusterviz.spec
http://sourceforge.net/projects/pbsclusterviz/files/pbsclusterviz%200.7/pbsclusterviz-0.7a-2.src.rpm

(In reply to comment #1)
> Thank you for your contribution. You must become a packager to maintain
> packages in Fedora.
> 
> https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I'm working my way through the process now.

> I left a comment on the ticket that you'll need a sponsor first.

I'm pretty sure I had a sponsor for some old projects of mine ('xmds' and 'pyscript') so I don't know if that helps at all in this case.

> vtk is only in EPEL 6. If you want your package to appear in EPEL 5, you'll
> have to convince the vtk maintainer to create a build there. :)

Hrm, strange.  I've got the code running on a ScientificLinux5 system (basically RHEL5).  Maybe it's possible to get python-vtk etc from the DAG or ATRPMS repos (which are also activated on that system) and that's the reason that pbsclusterviz works there.

> License is GPLv2+
> 
> Use the name and version macro in Source0.
> 
> You don't need defattr anymore.

Corrected in current .spec file.

> You must own %{_sysconfdir}/pbsclusterviz.d. and
> %{python_sitelib}/pbsclusterviz

Sorry, I don't know what you mean here.  root should own the files, right?  How do I set the ownership properly?

> Drop all version constraints from BuildRequires. No maintained release of
> Fedora or EL has older versions. I don't know whether you need those
> packages while you're building. But if you need them during operation,
> you'll have to make them Requires.

Ok, I've corrected this in the current .spec file.  Hopefully it's now what's expected.

> Installed (but unpackaged) file(s) found:
> /usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info

Strange, I don't get this file when building and installing the package.  Should I just add this to the .spec file?  Or leave it as is?

> Also include AUTHORS and COPYING. The postal address in COPYING is outdated.

Updated and corrected as necessary.

Many thanks again for your help!

Kind regards,

Paul
Comment 3 Veaceslav Mindru 2013-07-29 19:09:45 EDT
Staled Bug Request. @Paul Cochrane  i hope you are still interested to finish this one. 


>Hrm, strange.  I've got the code running on a ScientificLinux5 system (basically > RHEL5).  Maybe it's possible to get python-vtk etc from the DAG or ATRPMS repos > (which are also activated on that system) and that's the reason that pbsclusterviz >works there.

This is described in: http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean 

 %clean

The %clean section is not required for F-13 and above. Each package for F-12 and below (or EPEL 5) MUST have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

> BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

This must be removed for EPEL6
Comment 4 Paul Cochrane 2013-08-01 05:04:08 EDT
Hi Veaceslav,

> Staled Bug Request. @Paul Cochrane  i hope you are still interested to
> finish this one. 

yes I am.  I still need someone to sponsor this package request though.

> >Hrm, strange.  I've got the code running on a ScientificLinux5 system (basically > RHEL5).  Maybe it's possible to get python-vtk etc from the DAG or ATRPMS repos > (which are also activated on that system) and that's the reason that pbsclusterviz >works there.
> 
> This is described in:
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean 
> 
>  %clean
> 
> The %clean section is not required for F-13 and above. Each package for F-12
> and below (or EPEL 5) MUST have a %clean section, which contains rm -rf
> %{buildroot} (or $RPM_BUILD_ROOT).
> 
> > BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> This must be removed for EPEL6

Good to know.  I can remove this for the EPEL6 version.

The updated spec file is at this URL: http://sourceforge.net/projects/pbsclusterviz/files/pbsclusterviz%200.7/pbsclusterviz.spec

I asked some questions in my last comment which unfortunately have gone unanswered.  Would you be able to comment on these please?

Kind regards,

Paul
Comment 5 Veaceslav Mindru 2013-08-01 05:34:22 EDT
Hello Paul,

i am a novice here just as you are , so i don't think  i can answer those questions. 


>Sorry, I don't know what you mean here.  root should own the files, right?  How >do I set the ownership properly?

chown? 

VM
Comment 6 Orion Poplawski 2013-10-20 22:11:19 EDT
I'll take this.  It appears you want to target EPEL as well.  What versions?
Comment 7 Paul Cochrane 2013-10-27 07:26:44 EDT
Hi Orion,

> I'll take this.  It appears you want to target EPEL as well.  What versions?

I think it would be best to target both EPEL5 and EPEL6.  What do I need to fix at this stage to get this package accepted.  If need be, I could forget about EPEL5 support and just concentrage on EPEL6.

Many thanks for your reply!

Kind regards,

Paul
Comment 8 Orion Poplawski 2013-10-28 12:36:55 EDT
First issue: error: %changelog not in descending chronological order
Comment 9 Orion Poplawski 2013-10-28 13:22:46 EDT
Also doesn't build:

RPM build errors:
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info


You might want to take a look at the current Python packaging guidelines:

https://fedoraproject.org/wiki/Packaging:Python

although you're going to need to take care if you also want to support EPEL5 with the same spec file.
Comment 10 Paul Cochrane 2013-11-07 07:07:36 EST
(In reply to Orion Poplawski from comment #8)
> First issue: error: %changelog not in descending chronological order

Corrected in commit 0567dd6d62c90738530c00322c6c692a6f7afe8f of https://github.com/paultcochrane/pbsclusterviz.
Comment 11 Paul Cochrane 2013-11-07 07:11:29 EST
Hi Orion,

(In reply to Orion Poplawski from comment #9)
> Also doesn't build:
> 
> RPM build errors:
> error: Installed (but unpackaged) file(s) found:
>    /usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info
>     Installed (but unpackaged) file(s) found:
>    /usr/lib/python2.7/site-packages/pbsclusterviz-0.7a-py2.7.egg-info
> 
> 
> You might want to take a look at the current Python packaging guidelines:
> 
> https://fedoraproject.org/wiki/Packaging:Python
> 
> although you're going to need to take care if you also want to support EPEL5
> with the same spec file.

Build errors fixed in current (pre-)release (tag: pbsclusterviz-0.7a-4 on https://github.com/paultcochrane/pbsclusterviz).

Source: https://github.com/paultcochrane/pbsclusterviz/archive/pbsclusterviz-0.7a-4.tar.gz
Spec file: https://github.com/paultcochrane/pbsclusterviz/blob/master/rpm/pbsclusterviz.spec

I've decided to support only EPEL6 to remove the maintenance burden.

Many thanks for your help!

Kind regards,

Paul
Comment 12 Orion Poplawski 2013-11-07 22:07:43 EST
Please publish URLs to the raw files and to src.rpm files.
Comment 13 Orion Poplawski 2013-11-07 22:11:11 EST
Source url in spec still seems wrong:

spectool -g *spec
Getting https://github.com/paultcochrane/pbsclusterviz/archive/pbsclusterviz-0.7a-4.fc19.tar.gz to ./pbsclusterviz-0.7a-4.fc19.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   154  100   154    0     0    330      0 --:--:-- --:--:-- --:--:--   330
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

%{?dist} in %{release} is adding the .fc19.
Comment 14 Paul Cochrane 2013-11-09 14:06:51 EST
(In reply to Orion Poplawski from comment #13)
> Source url in spec still seems wrong:

The URL should now be correct.  I've uploaded a tarball from "python
setup.py bdist" and this works after a fashion.  GitHub some does some
strange things with tarball names from releases and I've tried to make a
workable solution, however, spectool can't download the file with the
correct filename.  I apologise for this in advance.  I have also made a note
of this is the .spec file.

The .src.rpm is at this location:
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-4.el6.src.rpm

The source tarball is at this location:
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz

Do I need to update the release number in the .spec file now that I've
changed it (albeit only slightly) again?

The updated .spec file is here:
https://github.com/paultcochrane/pbsclusterviz/blob/master/rpm/pbsclusterviz.spec

If you wish, I could add this as part of the GitHub "release" so that it isn't such a moving target for you.

Kind regards,

Paul
Comment 15 Orion Poplawski 2013-11-09 19:02:41 EST
The Source0 url in the src.rpm spec is still wrong:

Getting https://api.github.com/repos/paultcochrane/pbsclusterviz/pbsclusterviz-0.7a.tar.gz to ./pbsclusterviz-0.7a.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

If you simply change the Source0 url to match the url for the .tar.gz you listed above it works fine, so I'm not sure what the trouble is.  But the Source0 in the spec always needs to be a working URL, or noted with instructions as to how to generate it.

No need to bump release for this, but I need to be working with a src.rpm and a spec file that are in sync.  Perhaps you just haven't regenerated the src.rpm?
Comment 16 Paul Cochrane 2013-12-01 09:12:10 EST
> No need to bump release for this, but I need to be working with a src.rpm
> and a spec file that are in sync.  Perhaps you just haven't regenerated the
> src.rpm?

Perhaps I forgot to regenerate the rpm as you say.  I *was* having several problems understanding how GitHub automated downloads work...

I've updated the links to the relevant files:

The .src.rpm is at this location:
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-4.el6.src.rpm

The source tarball is at this location:
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz

The .spec file is here:
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz.spec

Maybe it works this time?
Comment 17 Orion Poplawski 2013-12-02 19:05:44 EST
warning: bogus date in %changelog: Fri Nov 7 2013 Paul Cochrane <paul@liekut.de> 0.7-4

Use:
%{python_sitelib}/pbsclusterviz-*.egg-info

so this works with different versions of python.

Also, doesn't look like you are owning %{python_sitelib}/pbsclusterviz/

Can you provide a python3 version as well?
Comment 18 Paul Cochrane 2013-12-29 08:32:25 EST
> warning: bogus date in %changelog: Fri Nov 7 2013 Paul Cochrane
> <paul@liekut.de> 0.7-4

Now corrected in current version.

> Use:
> %{python_sitelib}/pbsclusterviz-*.egg-info

Also corrected.

> Also, doesn't look like you are owning %{python_sitelib}/pbsclusterviz/

I think I've now got this right.  After having read the packaging docs, I think I need the %dir command in order to create the pbsclusterviz dirs in order that they are owned by the package.  Please let me know if this isn't correct.

> Can you provide a python3 version as well?

I will put it on the TODO list.  Is it possible to get this package into EPEL/Fedora just for python 2.x?

Thanks again for your feedback!
Comment 19 Orion Poplawski 2013-12-29 10:09:30 EST
Python 3 is optional still at this point, but be aware that we are targeting python 3 to be the default for F22, so the earlier the better: https://fedoraproject.org/wiki/Changes/Python_3_as_Default
Post updated links when you are ready.
Comment 21 Orion Poplawski 2014-01-02 00:20:24 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
You need to have BuildRequires: python2-devel

- Please fix the FSF address in the license.

- It looks like cluster_status is a GUI application and as such should have a .desktop file.

- cluster_status (and perhaps even gen_nodes_file) is too generic.  Please add a pbs (or pbs_) prefix.

- Drop BuildRoot and %clean unless you want to target epel5

- You only need to define python_sitelib, etc if you want to target epel5.  If you do, please use the form from the guidelines:

%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

- Your changelog versions do not match the package version "0.7" vs "0.7a".

- You need to escape "%" in %changelog entries with another %, eg %%clean

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /export/home/orion/redhat/pbsclusterviz-0.7a/875087-pbsclusterviz/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitelib: %define
     python_sitelib %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib()")}
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pbsclusterviz-0.7a-4.fc20.noarch.rpm
          pbsclusterviz-0.7a-4.fc20.src.rpm
pbsclusterviz.noarch: W: incoherent-version-in-changelog 0.7-4 ['0.7a-4.fc20', '0.7a-4']
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/bin/gen_nodes_file
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/clusterviz_config.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid_display.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/__init__.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/screen_log.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/bin/cluster_status
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid_xml_handler.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid.py
pbsclusterviz.noarch: W: no-manual-page-for-binary gen_nodes_file
pbsclusterviz.noarch: W: no-manual-page-for-binary cluster_status
pbsclusterviz.src:56: W: macro-in-comment %{python_sitelib}
pbsclusterviz.src:72: W: macro-in-%changelog %clean
pbsclusterviz.src: W: invalid-url Source0: https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 9 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pbsclusterviz
pbsclusterviz.noarch: W: incoherent-version-in-changelog 0.7-4 ['0.7a-4.fc20', '0.7a-4']
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/bin/gen_nodes_file
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/clusterviz_config.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid_display.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/__init__.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/screen_log.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/bin/cluster_status
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid_xml_handler.py
pbsclusterviz.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pbsclusterviz/node_grid.py
pbsclusterviz.noarch: W: no-manual-page-for-binary gen_nodes_file
pbsclusterviz.noarch: W: no-manual-page-for-binary cluster_status
1 packages and 0 specfiles checked; 9 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
pbsclusterviz (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(pbsclusterviz)
    libxml2-python
    python
    python(abi)
    vtk-python



Provides
--------
pbsclusterviz:
    config(pbsclusterviz)
    pbsclusterviz



Source checksums
----------------
https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz :
  CHECKSUM(SHA256) this package     : d44dbd75ace3302b65a0159c9136fdd74aa621f0e6462f81a534fc34d909a876
  CHECKSUM(SHA256) upstream package : 36dee1b626ae824538453e41e7d668e3e44a3f32c416e14faddb00d750278a86
However, diff -r shows no differences


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 875087
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 22 Paul Cochrane 2014-02-09 08:09:54 EST
(In reply to Orion Poplawski from comment #21)
> Package Review
> ==============

Hi Orion,

my apologies for my late reply.

> Issues:
> =======
> - Package contains BR: python2-devel or python3-devel
> You need to have BuildRequires: python2-devel

Fixed in current rpms.

> - Please fix the FSF address in the license.

I've copied the text directly from http://www.gnu.org/licenses/gpl-2.0.txt.  The address check should hopefully work now.

> - It looks like cluster_status is a GUI application and as such should have
> a .desktop file.

I'll have to address this issue later.

> - cluster_status (and perhaps even gen_nodes_file) is too generic.  Please
> add a pbs (or pbs_) prefix.

This I will also fix later.  Actually, that was the reason why I put these configuration files in /etc/pbsclusterviz.d to start with.  Should I change the file names anyway?

> - Drop BuildRoot and %clean unless you want to target epel5

BuildRoot and %clean have been dropped.  The rpms should target epel6.

> - You only need to define python_sitelib, etc if you want to target epel5. 
> If you do, please use the form from the guidelines:
> 
> %if 0%{?rhel} && 0%{?rhel} <= 5
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> %endif

Have removed python_sitelib definition. 

> - Your changelog versions do not match the package version "0.7" vs "0.7a".

The version numbers should now match correctly.

> - You need to escape "%" in %changelog entries with another %, eg %%clean

%clean in changelog escaped with extra %.

The SRCRPM, SPEC and distribution tarball are at the usual location:

 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-4.el6.src.rpm
 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz
 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz.spec

I will get around to the other issues as soon as possible.

Thanks again for your help!

Cheers,

Paul
Comment 23 Paul Cochrane 2014-02-09 13:44:49 EST
(In reply to Paul Cochrane from comment #22)
> (In reply to Orion Poplawski from comment #21)
 
> > - cluster_status (and perhaps even gen_nodes_file) is too generic.  Please
> > add a pbs (or pbs_) prefix.
> 
> This I will also fix later.  Actually, that was the reason why I put these
> configuration files in /etc/pbsclusterviz.d to start with.  Should I change
> the file names anyway?

My apologies, I misunderstood what you meant.  You are correct, the names cluster_status and gen_nodes_file are too generic.  It would be a good idea to change cluster_status to pbs_cluster_status.  I'll have to think of a good alternative name for gen_nodes_file though.

Cheers,

Paul
Comment 24 Paul Cochrane 2014-03-01 12:51:20 EST
(In reply to Orion Poplawski from comment #21)

Hi Orion,

I've addressed the points you raised in Comment #21.  

The SRCRPM, SPEC and distribution tarball are at the usual location:

 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-4.el6.src.rpm
 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz
 - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz.spec

Thanks,

Paul
Comment 25 Orion Poplawski 2014-03-01 16:28:10 EST
- You didn't bump release and add a new changelog entry for these changes.  I guess this hasn't be explicit, but I want it for any change to the spec.

- You only need to run desktop-file-install, not both it and desktop-file-validate, it will validate the desktop file.

- If you wanted, you could just do:

# desktop files
%{datadir}/icons/hicolor/256x256/apps/
%{_datadir}/applications/pbsclusterviz.desktop

up to you.

- You need to update the icon cache: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 26 Paul Cochrane 2014-03-02 04:37:27 EST
(In reply to Orion Poplawski from comment #25)
> - You didn't bump release and add a new changelog entry for these changes. 
> I guess this hasn't be explicit, but I want it for any change to the spec.

Sorry about that; have corrected this issue in the current update.

> - You only need to run desktop-file-install, not both it and
> desktop-file-validate, it will validate the desktop file.

I've removed desktop-file-validate

> - If you wanted, you could just do:
> 
> # desktop files
> %{datadir}/icons/hicolor/256x256/apps/
> %{_datadir}/applications/pbsclusterviz.desktop
> 
> up to you.

Have simplified these statements as recommended.

> - You need to update the icon cache:
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

I've added the relevant %post* commands.  Hopefully they are in the correct location in the .spec file such that the %install, %file, etc. sections are in the expected order.

The updated tarball, RPMs and spec file are at the following locations:
  - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a.tar.gz
  - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-5.el6.noarch.rpm
  - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz-0.7a-5.el6.src.rpm
  - https://github.com/paultcochrane/pbsclusterviz/releases/download/v0.7a/pbsclusterviz.spec

Thanks again!

Paul
Comment 27 Orion Poplawski 2014-03-02 13:28:02 EST
- Traditionally the %post* command come after %check (or %install if no %check) and before %files, but not a big deal.  

Otherwise, looks good.  APPROVED.
Comment 28 Orion Poplawski 2015-01-05 22:00:48 EST
Paul - are you still around?
Comment 29 Paul Cochrane 2015-01-06 09:31:11 EST
(In reply to Orion Poplawski from comment #28)
> Paul - are you still around?

Hi Orion.  Yes, what's up?
Comment 30 Orion Poplawski 2015-01-06 10:52:52 EST
You're package has been approved, so presumably you want to file a new package SCM request: https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages and build it.
Comment 31 Paul Cochrane 2015-02-04 08:07:08 EST
(In reply to Orion Poplawski from comment #30)
> You're package has been approved, so presumably you want to file a new
> package SCM request:

Oops.  Seem to have overlooked that.  I guess I thought that since things were approved, that there wasn't much more to do.

Unfortunately, I work at a new company now and no longer have access to the computers running PBS in order to run and test the software.  Also, since I no longer work there, development of pbsclusterviz has stopped.  I'm really sorry to say that it's probably best to close this ticket as "wontfix" or whatever.  Unfortunately, I don't see much of a future for pbsclusterviz at present.

I really, really appreciate the help and support you gave me!  Many thanks!

Kind regards,

Paul
Comment 32 Orion Poplawski 2015-02-04 10:37:20 EST
No problem, thanks for the info.  Best wishes.

Note You need to log in before you can comment on or make changes to this bug.